Package org.apache.ignite.internal.cache.query.index.sorted.maintenance

## Class RebuildIndexAction

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.maintenance.RebuildIndexAction

All Implemented Interfaces:
  `MaintenanceAction<Boolean>`

    public class RebuildIndexAction
    extends Object
    implements MaintenanceAction<Boolean>

Maintenance action that handles index rebuilding.

### Constructor Summary

Constructors
`RebuildIndexAction​(List<MaintenanceRebuildIndexTarget> indexesToRebuild, GridKernalContext ctx)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`@Nullable String` `description()`
`Boolean` `execute()` Executes operations of current maintenance action.
`String` `name()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RebuildIndexAction

    public RebuildIndexAction​(List<MaintenanceRebuildIndexTarget> indexesToRebuild,
                              GridKernalContext ctx)

Constructor.

Parameters:
  `indexesToRebuild` - Indexes to rebuild.
  `ctx` - Context.

### Method Detail

#### execute

    public Boolean execute()

Executes operations of current maintenance action.

Specified by:
  `execute` in interface `MaintenanceAction<Boolean>`
Returns:
  Result of the maintenance action.

#### name

    public String name()

Specified by:
  `name` in interface `MaintenanceAction<Boolean>`
Returns:
  Mandatory human-readable name of maintenance action. All actions of single `MaintenanceWorkflowCallback` should have unique names.

#### description

    @Nullable
    public @Nullable String description()

Specified by:
  `description` in interface `MaintenanceAction<Boolean>`
Returns:
  Optional user-readable description of maintenance action.